## mathic 1.0~git20130827

=== debian/changelog ===
mathic (1.0~git20130827-3) unstable; urgency=medium

  * debian/{control,libmathic0.install}
    - Rename libmathic0 to libmathic0v5 for libstdc++ transition
      (Closes: #797983).
  * debian/control
    - Add libmathic0 to Breaks/Replaces.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 06 Sep 2015 02:31:53 -0400

mathic (1.0~git20130827-2) unstable; urgency=medium

  * Update my email address.
  * debian/control
    - Remove dpkg-dev (>= 1.18.0) from Build-Depends; unnecessary as we have
      removed the symbols file.
  * debian/libmathic0.symbols
    - Remove file for ease of maintainability.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 29 Aug 2015 09:42:23 -0400

mathic (1.0~git20130827-1) unstable; urgency=low

  * Initial release (Closes: #780783).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 01 Apr 2015 06:27:19 -0500
