=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114),
                dh-autoreconf,
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/mathic.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mathic.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mathic.git
-Homepage: https://github.com/broune/mathic
+Homepage: https://github.com/Macaulay2/mathic
 
 Package: libmathic-dev
 Architecture: any
@@ -40,17 +40,3 @@
  reduction.
  .
  This package contains the runtime library.
-
-Package: libmathic-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libmathic0v5 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: C++ library for Groebner basis computation (debugging symbols)
- Mathic is a C++ library of fast data structures designed for use in Groebner
- basis computation. This includes data structures for ordering S-pairs,
- performing divisor queries and ordering polynomial terms during polynomial
- reduction.
- .
- This package contains the debugging symbols.
