=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,20 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- GTEST_PATH=/usr/src
+	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared
 
 override_dh_strip:
-	dh_strip --dbg-package=libmathic-dbg
+	dh_strip --dbgsym-migration='libmathic-dbg (<< 1.0~git20160320-1~)'
 
 get-orig-source:
-	wget https://github.com/broune/mathic/archive/master.tar.gz
+	wget https://github.com/Macaulay2/mathic/archive/master.tar.gz
 	git checkout upstream
-	git pull https://github.com/broune/mathic
+	git pull https://github.com/Macaulay2/mathic
 	grep -Po '(?<=AC_INIT\(\[mathic\], \[).*(?=\]\))' configure.ac \
 		> version
 	git show HEAD^:configure.ac | \
