## mathic 1.0~git20170606

=== debian/changelog ===
mathic (1.0~git20170606-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.0.1.
    - Bump versioned dependency on debhelper to >= 10.
    - Remove Build-Depends on dh-autoreconf.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/copyright
    - Use https in Format.
  * debian/libmathic0v5.symbols
    - Remove file for ease of maintainability (Closes: #853540).
  * debian/patches/fix_typo.patch
    - Remove patch; applied upstrem.
  * debian/rules
    - Remove call to dh_autoreconf; enabled by default with debhelper 10.
    - New override_dh_makeshlibs target.  Generates tightest possible
      dependency.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 12 Aug 2017 16:53:20 -0400
