=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mathic.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
