=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,16 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libmathic-dbg (<< 1.0~git20160320-1~)'
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V
 
 get-orig-source:
 	wget https://github.com/Macaulay2/mathic/archive/master.tar.gz
