=== debian/tests/control ===
Tests: build
Depends: build-essential, libmathic-dev, libmemtailor-dev, pkg-config
