=== debian/watch ===
# Upstream does not currently tag their releases.  However, if they do in the
# future, something similar to the following should work.
# version=3
# https://github.com/Macaulay2/mathic/tags \
# /Macaulay2/mathic/archive/mathic-(.+)\.tar\.gz
