## mathic 1.0~git20180311

=== debian/changelog ===
mathic (1.0~git20180311-2) unstable; urgency=medium

  * debian/tests/control
    - Add build-essential and libgtest-dev to Depends (Closes: #903720).

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 13 Jul 2018 13:58:13 -0400

mathic (1.0~git20180311-1) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.1.5.
    - Update Vcs-* links to Salsa.
  * debian/rules
    - Drop get-orig-source target: replaced by uscan.
  * debian/tests
    - Replace smoke test with upstream unit tests.
  * debian/upstream/metadata
    - New file; add DEP-12 upstream metadata.
  * debian/watch
    - Use uscan with git mode to obtain upstream tarball.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 09 Jul 2018 21:53:42 -0400
