=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mathic.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mathic.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/mathic
+Vcs-Git: https://salsa.debian.org/science-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
 
 Package: libmathic-dev
