=== debian/tests/control ===
Tests: unittest
Depends: @, build-essential, libgtest-dev, libmemtailor-dev, pkg-config
