## mathic 1.0~git20181123

=== debian/changelog ===
mathic (1.0~git20181123-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Apr 2020 08:07:49 +0000

mathic (1.0~git20181123-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/compat
    - Drop file; no longer necessary since we build-depend on
      debhelper-compat.
  * debian/control
    - Switch Build-Depend on debhelper to debhelper-compat, specifying
      compatibility level 12.
    - Bump Standards-Version to 4.4.1.
  * debian/patches/cross.patch
    - New patch; use test -e instead of AC_CHECK_FILE to enable cross
      building.  Thanks to Helmut Grohne <helmut@subdivi.de> for the patch
      (Closes: #948146).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 13 Jan 2020 11:08:12 -0500

mathic (1.0~git20180311-2ubuntu1) cosmic; urgency=medium

  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 14 Jul 2018 18:24:25 +0000
