=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: mathic
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/mathic
 Vcs-Git: https://salsa.debian.org/science-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
