=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared

override_dh_strip:
	dh_strip --dbgsym-migration='libmathic-dbg (<< 1.0~git20160320-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -V
