=== debian/changelog ===
mathic (1.0~git20200526-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump to debhelper compatibility level 13.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
  * debian/patches
    - Remove directory; only patch has been applied upstream.
  * debian/not-installed
    - Tell dh_missing that we aren't installing .la file.
  * debian/rules
    - Remove override_dh_strip argument passing --dbgsym-migration
      argument; automatic debug symbol package is now in oldstable.
    - Remove override_dh_makeshlibs target; it was passing the -V
      option, which is now the default after debhelper 12.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/control
    - Allow stderr output in autopkgtests for GCC warnings on armhf.
      Patch from Ubuntu package by Graham Inggs <ginggs@ubuntu.com>.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 01 Jul 2020 08:00:53 -0400
