=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: mathic
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/mathic
 Vcs-Git: https://salsa.debian.org/science-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
+Rules-Requires-Root: no
 
 Package: libmathic-dev
 Architecture: any
