## mathic 1.0~git20211001

=== debian/changelog ===
mathic (1.0~git20211001-1) unstable; urgency=medium

  * New upstream release (git snapshot).

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 01 Oct 2021 05:30:15 -0400

mathic (1.0~git20200709-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.6.0.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 18 Aug 2021 22:43:59 -0400
