=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/mathic
 Vcs-Git: https://salsa.debian.org/science-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
