=== debian/changelog ===
mathic (1.0~git20220218-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update my email address (now a Debian Developer).
    - Update Vcs-* URL's (science-team -> math-team).
  * debian/copyright
   - Use leading spaces instead of tabs.
   - Add email addresses for upstream copyright holders.
   - Update my copyright years and email address.
  * debian/upstream/metadata
    - Add "---" for document start.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 23 Feb 2022 22:07:43 -0500
