=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mathic
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,8 +8,8 @@
                libmemtailor-dev,
                pkg-config
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/science-team/mathic
-Vcs-Git: https://salsa.debian.org/science-team/mathic.git
+Vcs-Browser: https://salsa.debian.org/math-team/mathic
+Vcs-Git: https://salsa.debian.org/math-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
 Rules-Requires-Root: no
