=== debian/changelog ===
mathic (1.0~git20220426-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/gbp.conf
    - New file; set debian-branch to debian/latest; recommended by DEP-14.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 05 May 2022 07:39:22 -0400
