## mathic 1.0~git20230916

=== debian/changelog ===
mathic (1.0~git20230916-1) unstable; urgency=medium

  * New upstream release (git snapshot)
  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Update my copyright years.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 20 Dec 2023 18:00:02 -0500
