## mathic 1.0~git20250513

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,7 @@
     include(FetchContent)
     FetchContent_Declare(googletest
       GIT_REPOSITORY https://github.com/google/googletest.git
-      GIT_TAG        release-1.11.0
+      GIT_TAG        v1.16.0
       )
     FetchContent_MakeAvailable(googletest)
