=== debian/changelog ===
mathic (1.0~git20250513-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Update my copyright years.
  * debian/patches/c++17.patch
    - New patch; bump C++ standard to C++17 for googletest.
  * debian/tests/unittest
    - Update now that we link against googletest instead of compiling it.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 24 Aug 2025 17:56:56 -0400
