=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libgtest-dev,
                libmemtailor-dev,
                pkg-config
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/math-team/mathic
 Vcs-Git: https://salsa.debian.org/math-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
