## mathic 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-project(mathic VERSION 1.0 LANGUAGES CXX)
+project(mathic VERSION 1.1 LANGUAGES CXX)
 
 option(enable_pqsim "Build pqsim" OFF)
 option(enable_divsim "Build divsim" OFF)
