=== debian/changelog ===
mathic (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update pkg-config -> pkgconf in Build-Depends.
    - Remove redundant Rules-Requires-Root field.
  * debian/copyright
    - Replace old physical Free Software Foundation address.
  * debian/patches/c++17.patch
    - Remove patch; applied upstream
  * debian/rules
    - Stop setting GTEST_PATH; no longer necessary.
  * debian/watch
    - Update now that upstream publishes tarballs on GitHub releases page.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 12 Dec 2025 13:58:41 -0500
