=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                libgtest-dev,
                libmemtailor-dev,
-               pkg-config
+               pkgconf
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/math-team/mathic
 Vcs-Git: https://salsa.debian.org/math-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
-Rules-Requires-Root: no
 
 Package: libmathic-dev
 Architecture: any
