=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/Macaulay2/mathic/releases \
https://github.com/Macaulay2/mathic/releases/download/v.*/mathic-@ANY_VERSION@@ARCHIVE_EXT@
