=== debian/changelog ===
mathic (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Update my copyright years.
  * debian/watch
    - Update the URL regex with one that's less greedy.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 03 Feb 2026 21:49:57 -0500
