=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Section: libs
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libgtest-dev,
                libmemtailor-dev,
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/math-team/mathic
 Vcs-Git: https://salsa.debian.org/math-team/mathic.git
 Homepage: https://github.com/Macaulay2/mathic
