=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/Macaulay2/mathic/releases \
[^"]*/mathic-@ANY_VERSION@@ARCHIVE_EXT@
